<?php defined("SYSPATH") or die("No direct script access.") ?>

<? if (access::can("view_full", $theme->item())): ?>
<!-- Use javascript to show the full size as an overlay on the current page -->
<script type="text/javascript">
    // After the image is rotated or replaced we have to reload the image dimensions
    // so that the full size view isn't distorted.
    $("#g-photo").bind("gallery.change", function() {
      $.ajax({
        url: "<?= url::site("items/dimensions/" . $theme->item()->id) ?>",
        dataType: "json",
        success: function(data, textStatus) {
          full_dims = data.full;
        }
      });
    });
  });
</script>
<? endif ?>

<div id="g-item">
  <?= $theme->photo_top() ?>
<div id="g-photo">
    <?= $theme->resize_top($item) ?>
      <?= $item->resize_img(array("id" => "g-item-id-{$item->id}", "class" => "g-resize")) ?>
    <?= $theme->resize_bottom($item) ?>
  </div>
<?= $theme->paginator() ?>
  <div id="g-info">
    <h1><?= html::purify($item->title) ?></h1>
    <div><?= nl2br(html::purify($item->description)) ?></div>
  </div>

  <?= $theme->photo_bottom() ?>
</div>
<? // reverse mouse click navigation if set on theme options page
if (module::get_var("th_left_right_wind", "1")) {
  $mouse_left = $theme->paginator()->previous_page_url;
  $mouse_right = $theme->paginator()->next_page_url;
} else {
  $mouse_right = $theme->paginator()->previous_page_url;
  $mouse_left = $theme->paginator()->next_page_url;
} ?>
<script type="text/javascript">
$('#g-item-id-<?= $item->id ?>').bind("contextmenu",function(e){
    return false;
}); 
$('#g-item-id-<?= $item->id ?>').mousedown(function(event) {
  full_dims = [<?= $theme->item()->width ?>, <?= $theme->item()->height ?>];
    switch (event.which) {
        case 1:
            window.location.href = '<?= $mouse_left ?>';
            break;
        case 2:
            $.gallery_show_full_size(<?= html::js_string($theme->item()->file_url()) ?>, full_dims[0], full_dims[1]);
            break;
        case 3:
            window.location.href = '<?= $mouse_right ?>';
            break;
        default:
            alert('You have a strange mouse.  Use the navigation buttons or keyboard arrows.');
    }
});
$(document).keydown(function (e) {
    var keyCode = e.keyCode || e.which,
        arrow = {left: 37, up: 38, right: 39, down: 40 }, $status = $('#status');

    switch (keyCode) {
        case arrow.left:
          window.location.href = '<?= $theme->paginator()->previous_page_url ?>';
        break;
        case arrow.up:
          window.location.href = '<?= $item->parent()->url("show={$item->id}") ?>';
        break;
        case arrow.right:
          window.location.href = '<?= $theme->paginator()->next_page_url ?>';
        break;
        case arrow.down:
          alert('Down');
        break;
      }
    });
</script>
